###

#

nth_channel_view
Image View » Algorithms and Utility Functions » Image View Transformations

single-channel (grayscale) view of the N-th channel of a given image_view More...

## Classes

struct | nth_channel_view_type< View >
| Given a source image view type View, returns the type of an image view over a single channel of ViewIf the channels in the source view are adjacent in memory (such as planar non-step view or single-channel view) then the return view is a single-channel non-step view. If the channels are non-adjacent (interleaved and/or step view) then the return view is a single-channel step view. More...
struct | nth_channel_view_type< any_image_view< Views... > >
| Given a runtime source image view, returns the type of a runtime image view over a single channel of the source view. More...

## Functions

template<typename View >
nth_channel_view_type< View >::type | nth_channel_view (const View &src, int n)
template<typename ... Views>
auto | nth_channel_view (const any_image_view< Views... > &src, int n) -> typename nth_channel_view_type< any_image_view< Views... >>::type

## Detailed Description

single-channel (grayscale) view of the N-th channel of a given image_view

## Function Documentation

## nth_channel_view()

auto boost::gil::nth_channel_view | ( | const any_image_view< Views... > & | src,
|  | int | n
| ) |  | -> typename nth_channel_view_type<any_image_view<Views...>>::type

inline

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept